Faiss

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
Static Public Member Functions | List of all members
faiss::gpu::BlockMerge< NumThreads, K, V, N, L, Dir, Comp, true, FullMerge > Struct Template Reference

Merging lists smaller than a block. More...

## Static Public Member Functions
static __device__ void | merge (K *listK, V *listV)

## Detailed Description

### template<int NumThreads, typename K, typename V, int N, int L, bool Dir, typename Comp, bool FullMerge>
struct faiss::gpu::BlockMerge< NumThreads, K, V, N, L, Dir, Comp, true, FullMerge >

Merging lists smaller than a block.

Definition at line 226 of file MergeNetworkBlock.cuh.

The documentation for this struct was generated from the following file:

- /tmp/faiss/gpu/utils/MergeNetworkBlock.cuh